CREATE OR REPLACE FUNCTION      obtener_cusn (p_grupo number, p_cues number)
       RETURN number AS
BEGIN
     DECLARE
     ID_GRUPO         NUMBER(8) := 0;
     ID_CUESTIONARIO NUMBER(10):= 0;
     NUMERO_FILA     NUMBER(3) := 0;
     RESULTADO          NUMBER(3) := 0;

     CURSOR filas (p_grupo NUMBER)
     IS SELECT Q022ET00_ID_CUES, Q022CT00_ID_GRUPO,rownum from ( SELECT Q022ET00_ID_CUES, Q022CT00_ID_GRUPO
        FROM Q022ET00
        WHERE Q022CT00_ID_GRUPO=p_grupo
        ORDER BY Q022ET00_FEC_ALTA asc);

BEGIN
     OPEN filas(p_grupo);
     LOOP
         FETCH filas INTO ID_CUESTIONARIO,ID_GRUPO,NUMERO_FILA;         
         EXIT WHEN filas%NOTFOUND;
         IF (ID_CUESTIONARIO = p_cues) THEN
            RESULTADO := NUMERO_FILA;
         END IF;
         
     END LOOP;

     CLOSE filas;

     RETURN RESULTADO;

END;
END;
/


CREATE OR REPLACE FUNCTION      obtener_culn (p_grupo number, p_cues number)
       RETURN number AS
BEGIN
     DECLARE
     ID_GRUPO         NUMBER(8) := 0;
     ID_CUESTIONARIO NUMBER(10):= 0;
     NUMERO_FILA     NUMBER(3) := 0;
     RESULTADO          NUMBER(3) := 0;

     CURSOR filas (p_grupo NUMBER)
     IS SELECT Q022DT00_ID_CUES, Q022BT00_ID_GRUPO,rownum from ( SELECT Q022DT00_ID_CUES, Q022BT00_ID_GRUPO
         FROM Q022DT00
        WHERE Q022BT00_ID_GRUPO=p_grupo
        ORDER BY Q022DT00_FEC_ALTA asc);

BEGIN
     OPEN filas(p_grupo);
     LOOP
         FETCH filas INTO ID_CUESTIONARIO,ID_GRUPO,NUMERO_FILA;         
         EXIT WHEN filas%NOTFOUND;
         IF (ID_CUESTIONARIO = p_cues) THEN
            RESULTADO := NUMERO_FILA;
         END IF;
         
     END LOOP;

     CLOSE filas;

     RETURN RESULTADO;

END;
END;
/


